%global with_wayland 0
Name:           enlightenment
Version:        0.19.12
Release:        1%{?dist}
License:        BSD
Summary:        Enlightenment window manager
Url:            http://enlightenment.org
Source0:        http://download.enlightenment.org/rel/apps/enlightenment/%{name}-%{version}.tar.xz
BuildRequires:  alsa-lib-devel
BuildRequires:  bluez-libs-devel
BuildRequires:  dbus-devel 
BuildRequires:  desktop-file-utils
BuildRequires:  doxygen
BuildRequires:  efl-devel
BuildRequires:  elementary-devel
%if %{with_wayland}
BuildRequires:  libwayland-server-devel
%endif
BuildRequires:  libXext-devel 
BuildRequires:  pam-devel
BuildRequires:  systemd
BuildRequires:  xcb-util-keysyms-devel
Requires:       %{name}-data = %{version}-%{release}
Requires:       evas-generic-loaders
Requires:       redhat-menus
Provides:       firstboot(windowmanager) = enlightenment
Requires(post):         systemd
Requires(preun):        systemd
Requires(postun):       systemd

%description
Enlightenment window manager is a lean, fast, modular and very extensible window 
manager for X11 and Linux. It is classed as a "desktop shell" providing the 
things you need to operate your desktop (or laptop), but is not a whole '
application suite. This covered launching applications, managing their windows 
and doing other system tasks like suspending, reboots, managing files etc. 

%package        data
Summary:        Enlightenment data files
Requires:       %{name} = %{version}-%{release}
BuildArch:      noarch

%description data
Contains data files for Enlightenment

%package        devel
Summary:        Enlightenment headers, documentation and test programs
Requires:       %{name}%{?_isa} = %{version}-%{release}

%description devel
Headers, test programs and documentation for enlightenment.

%prep
%setup -q

%build
%configure --disable-static       \
        --disable-rpath           \
	--with-systemdunitdir=%{_unitdir} \
        -with-profile=FAST_PC \
        --enable-pam              \
        --enable-mount-eeze       \
        --enable-contact          \
%if %{with_wayland}
        --enable-wayland-clients  \
        --enable-wl-desktop-shell \
        --enable-wl-x11           \
        --enable-wl-drm           \
        --enable-wl-desktop-shell \
%endif

#%configure --disable-static --disable-rpath 
#--with-systemdunitdir=%{_unitdir} -with-profile=FAST_PC 
#--enable-wayland-clients
make %{?_smp_mflags} V=1

%install
make install DESTDIR=%{buildroot}

find %{buildroot} -name '*.la' -delete
mkdir -p %{buildroot}/%{_unitdir}
install -m 644 data/units/enlightenment.service %{buildroot}/%{_unitdir}/

%find_lang %{name}
desktop-file-validate %{buildroot}/%{_datadir}/applications/*.desktop

%post
%systemd_post enlightenment.service

%postun
%systemd_postun_with_restart enlightenment.service

%preun
%systemd_preun enlightenment.service

%files
%doc AUTHORS COPYING README NEWS
%{_sysconfdir}/xdg/menus/e-applications.menu
%{_sysconfdir}/enlightenment/sysactions.conf
%{_bindir}/enlightenment
%{_bindir}/enlightenment_filemanager
%{_bindir}/enlightenment_imc
%{_bindir}/enlightenment_open
%{_bindir}/enlightenment_remote
%{_bindir}/enlightenment_start
%{_libdir}/enlightenment
%{_unitdir}/enlightenment.service
%{_userunitdir}/enlightenment.service

%files data -f %{name}.lang
%{_datadir}/xsessions/enlightenment.desktop
%{_datadir}/enlightenment
%{_datadir}/applications/*.desktop

%files devel
%{_libdir}/pkgconfig/*.pc
%{_includedir}/enlightenment

%changelog
* Mon Oct 12 2015 Ding-Yi Chen <dchen@redhat,.com> - 0.19.12-1
- Upstream update to 0.19.12

* Tue Sep 29 2015 Ding-Yi Chen <dchen@redhat.com> - 0.19.11-1
- Upstream update to 0.19.11

* Thu Sep 17 2015 Ding-Yi Chen <dchen@redhat.com> - 0.19.10-1
- Upstream update to 0.19.10

* Thu Sep 03 2015 Ding-Yi Chen <dchen@redhat.com> - 0.19.9-1
- Upstream update to 0.19.9

* Thu Aug 06 2015 Ding-Yi Chen <dchen@redhat.com> - 0.19.8-1
- Upstream update to 0.19.8

* Tue Jul 28 2015 Ding-Yi Chen <dchen@redhat.com> - 0.19.7-1
- Upstream update to 0.19.7

* Thu May 07 2015 Ding-Yi Chen <dchen@redhat.com> 0.19.5-2
- Rebuild without --enable-wayland-egl

* Tue May  5 2015 Tom Callaway <spot@fedoraproject.org> - 0.19.5-1
- update to 0.19.5

* Thu Apr  2 2015 Tom Callaway <spot@fedoraproject.org> - 0.19.4-1
- update to 0.19.4

* Fri Dec 12 2014 Tom Callaway <spot@fedoraproject.org> - 0.17.6-2
- use systemctl calls to suspend/hibernate

* Thu Oct 23 2014 Tom Callaway <spot@fedoraproject.org> - 0.17.6-1
- update to 0.17.6

* Sat Aug 16 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.17.5-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.17.5-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Tue Nov 12 2013 Dan Mashal <dan.mashal@fedoraproject.org> 0.17.5-2
- Add emotion-devel to BRs

* Thu Nov 07 2013 Dan Mashal <dan.mashal@fedoraproject.org> 0.17.5-1
- Update to 0.17.5

* Mon Oct 07 2013 Dan Mashal <dan.mashal@fedoraproject.org> 0.17.4-4
- Add hard runtime requirements so one package can install the entire stack.

* Sun Oct 06 2013 Dan Mashal <dan.mashal@fedoraproejct.org> 0.17.4-3
- Add versioned build deps.

* Sun Oct 06 2013 Dan Mashal <dan.mashal@fedoraproejct.org> 0.17.4-2
- Update spec as per package review #1014619

* Tue Sep 24 2013 Dan Mashal <dan.mashal@fedoraproject.org> 0.17.4-1
- Update to 0.17.4
- Clean up spec file
- Update license from MIT to BSD

* Wed Jan 02 2013 Rahul Sundaram <sundaram@fedoraproject.org> - 0.17.0-1
- initial spec
